if not settings.startup["icons-on-beacons"].value then
    return
end

for _, beacon in pairs(data.raw.beacon) do
    if beacon.graphics_set and beacon.graphics_set.module_visualisations and beacon.graphics_set.module_visualisations[1].slots then
        for _, slot in pairs(beacon.graphics_set.module_visualisations[1].slots) do
            local icon_layer = table.deepcopy(slot[#slot])
            local filename = ""
            if settings.startup["icons-on-modules"].value == "all" then
                filename = "__module-config__/graphics/icon-spritesheet-all-small.png"
            elseif settings.startup["icons-on-modules"].value == "new" then
                filename = "__module-config__/graphics/icon-spritesheet-new-small.png"
            else
                return
            end
            
            icon_layer.pictures = {
                filename = filename,
                line_length = 0,
                width = 32,
                height = 32,
                variation_count = 255,
                --shift = util.by_pixel(22, -16),
                draw_as_light = true,
                scale = 1
            }
            icon_layer.apply_module_tint = "secondary"
            table.insert(slot, icon_layer)
        end
    end
end
