data:extend{
    {    -- Advanced setting tab separators
        name = 'advanced-mode',
        localised_name = {"", "[color=yellow]", "Advanced Settings", " (See details)[/color]", {"mod-setting-name.advanced-mode"}},
        setting_type = 'startup',
        type = 'bool-setting',
        order = 'a[basic]z[lastbasicsetting]',
        default_value = false
    }, {    -- BASIC SETTINGS
        name = 'advanced-below',
        localised_name = {"", "[color=yellow]", "Advanced Configuration Below", " (See details)[/color]", {"mod-setting-name.advanced-below"}},
        setting_type = 'startup',
        type = 'bool-setting',
        order = 'b[basic-modules]z[lastbasicsetting]',
        default_value = false
    }, {    
        name = 'more-tabs',
        setting_type = 'startup',
        type = 'bool-setting',
        order = 'a[basic]a[other]b',
        default_value = true
    }, {    
        name = 'icons-on-modules',
        setting_type = 'startup',
        type = 'string-setting',
        order = 'a[basic]a[other]c',
        default_value = "new",
        allowed_values = {
            "all",
            "new",
            "none"
        }
    }, {    
        name = 'icons-on-beacons',
        setting_type = 'startup',
        type = 'bool-setting',
        order = 'a[basic]a[other]d',
        default_value = true
    }, {
        name = 'modules-per-recipe',
        setting_type = 'startup',
        type = 'int-setting',
        order = 'a[basic]c[crafting]a',
        default_value = 5,
        minimum_value = 1,
        maximum_value = 2048
    }, {
        name = 'modules-per-result',
        setting_type = 'startup',
        type = 'int-setting',
        order = 'a[basic]c[crafting]b',
        default_value = 1,
        minimum_value = 1,
        maximum_value = 2048
    }, {
        name = 'crafting-time',
        setting_type = 'startup',
        type = 'int-setting',
        order = 'a[basic]c[crafting]c',
        default_value = 60,
        minimum_value = 1,
        maximum_value = 3600
    }, {
        name = 'tech-cost',
        setting_type = 'startup',
        type = 'string-setting',
        order = 'a[basic]d[tech]a',
        default_value = "100*L^2"
    }, {
        name = 'tech-time',
        setting_type = 'startup',
        type = 'int-setting',
        order = 'a[basic]d[tech]b',
        default_value = 30,
        minimum_value = 1,
        maximum_value = 3600
    }, {
        name = 'speed-anywhere',
        setting_type = 'startup',
        type = 'bool-setting',
        order = 'a[basic]e[beacon]b[allowed-effects]a',
        default_value = true
    }, {
        name = 'efficiency-anywhere',
        setting_type = 'startup',
        type = 'bool-setting',
        order = 'a[basic]e[beacon]b[allowed-effects]b',
        default_value = true
    }, {
        name = 'productivity-anywhere',
        setting_type = 'startup',
        type = 'bool-setting',
        order = 'a[basic]e[beacon]b[allowed-effects]c',
        default_value = false
    }, {
        name = 'vanilla-beacon-distribution-effectivity',
        setting_type = 'startup',
        type = 'double-setting',
        order = 'a[basic]e[beacon]a[details]a',
        default_value = 1.5,
        minimum_value = 0.01,
        maximum_value = 65535
    }, {
        name = 'vanilla-beacon-supply_area_distance',
        setting_type = 'startup',
        type = 'int-setting',
        order = 'a[basic]e[beacon]a[details]c',
        default_value = 3,
        minimum_value = 1,
        maximum_value = 64
    }, {
        name = 'vanilla-beacon-module-slots',
        setting_type = 'startup',
        type = 'int-setting',
        order = 'a[basic]e[beacon]a[details]d',
        default_value = 2,
        minimum_value = 1,
        maximum_value = 512
    }, {
        name = 'vanilla-beacon-profile',
        setting_type = 'startup',
        type = 'string-setting',
        order = 'a[basic]e[beacon]a[details]e',
        default_value = "default",
        allowed_values = {
            "default",
            "overload-non-exclusive",
            "overload",
            "custom"
        }
    }, {
        name = 'vanilla-beacon-custom-profile',
        setting_type = 'startup',
        type = 'string-setting',
        order = 'a[basic]e[beacon]a[details]f',
        default_value = "",
        allow_blank = true
    },


    
    -- Speed Modules
    {    
    name = 'max-speed', 
    localised_name = {"", "[color=blue]", "Speed Module", ": [/color]", {"mod-setting-name.max-speed"}},
    setting_type = 'startup',
    type = 'int-setting',
    order = 'b[basic-modules]a[speed]a[max-level]',
    default_value = 3,
    minimum_value = 3,
    maximum_value = 255
    }, {
	    name = 'speed-consumption-scaling',
		localised_name = {"", "[color=blue]", "          Speed Module", ": [/color]", {"mod-setting-name.speed-consumption-scaling"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'b[basic-modules]a[speed]b[consumption]',
        default_value = "constant_pattern",
        allowed_values = {
            "disabled_pattern",
            "linear_pattern", 
            "constant_pattern", 
            "fibonacci_pattern", 
            "exponential_pattern",
            "polynomial_pattern",
            "linear_pattern-advanced", 
            "constant_pattern-advanced", 
            "fibonacci_pattern-advanced", 
            "changing_scale_pattern-advanced", 
            "exponential_pattern-advanced",
            "polynomial_pattern-advanced",
        }
    }, {
	    name = 'speed-speed-scaling',
		localised_name = {"", "[color=blue]", "          Speed Module", ": [/color]", {"mod-setting-name.speed-speed-scaling"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'b[basic-modules]a[speed]c[speed]',
        default_value = "linear_pattern",
        allowed_values = {
            "disabled_pattern",
            "linear_pattern", 
            "constant_pattern", 
            "fibonacci_pattern", 
            "exponential_pattern",
            "polynomial_pattern",
            "linear_pattern-advanced", 
            "constant_pattern-advanced", 
            "fibonacci_pattern-advanced", 
            "changing_scale_pattern-advanced", 
            "exponential_pattern-advanced",
            "polynomial_pattern-advanced",
        }    
    }, {
	    name = 'speed-productivity-scaling',
		localised_name = {"", "[color=blue]", "          Speed Module", ": [/color]", {"mod-setting-name.speed-productivity-scaling"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'b[basic-modules]a[speed]d[productivity]',
        default_value = "disabled_pattern",
        allowed_values = {
            "disabled_pattern",
            "linear_pattern-advanced", 
            "constant_pattern-advanced", 
            "fibonacci_pattern-advanced", 
            "changing_scale_pattern-advanced", 
            "exponential_pattern-advanced",
            "polynomial_pattern-advanced",
        }
    }, {
	    name = 'speed-pollution-scaling',
		localised_name = {"", "[color=blue]", "          Speed Module", ": [/color]", {"mod-setting-name.speed-pollution-scaling"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'b[basic-modules]a[speed]e[pollution]',
        default_value = "disabled_pattern",
        allowed_values = {
            "disabled_pattern",
            "linear_pattern-advanced", 
            "constant_pattern-advanced", 
            "fibonacci_pattern-advanced", 
            "changing_scale_pattern-advanced", 
            "exponential_pattern-advanced",
            "polynomial_pattern-advanced",
        }
    },
    

    -- Efficiency Modules
    { 
	    name = 'max-efficiency',
		localised_name = {"", "[color=green]", "Efficiency Module", ": [/color]", {"mod-setting-name.max-efficiency"}},
        setting_type = 'startup',
        type = 'int-setting',
        order = 'b[basic-modules]b[efficiency]a[max-level]',
        default_value = 3,
        minimum_value = 3,
        maximum_value = 255
    }, {
	    name = 'efficiency-consumption-scaling',
		localised_name = {"", "[color=green]", "          Efficiency Module", ": [/color]", {"mod-setting-name.efficiency-consumption-scaling"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'b[basic-modules]b[efficiency]b[consumption]',
        default_value = "constant_pattern",
        allowed_values = {
            "disabled_pattern",
            "linear_pattern", 
            "constant_pattern", 
            "fibonacci_pattern", 
            "exponential_pattern",
            "polynomial_pattern",
            "linear_pattern-advanced", 
            "constant_pattern-advanced", 
            "fibonacci_pattern-advanced", 
            "changing_scale_pattern-advanced", 
            "exponential_pattern-advanced",
            "polynomial_pattern-advanced",
        }    
    }, {
	    name = 'efficiency-speed-scaling',
		localised_name = {"", "[color=green]", "          Efficiency Module", ": [/color]", {"mod-setting-name.efficiency-speed-scaling"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'b[basic-modules]b[efficiency]c[speed]',
        default_value = "disabled_pattern",
        allowed_values = {
            "disabled_pattern",
            "linear_pattern-advanced", 
            "constant_pattern-advanced", 
            "fibonacci_pattern-advanced", 
            "changing_scale_pattern-advanced", 
            "exponential_pattern-advanced",
            "polynomial_pattern-advanced",
        }   
    }, {
	    name = 'efficiency-productivity-scaling',
		localised_name = {"", "[color=green]", "          Efficiency Module", ": [/color]", {"mod-setting-name.efficiency-productivity-scaling"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'b[basic-modules]b[efficiency]d[productivity]',
        default_value = "disabled_pattern",
        allowed_values = {
            "disabled_pattern",
            "linear_pattern-advanced", 
            "constant_pattern-advanced", 
            "fibonacci_pattern-advanced", 
            "changing_scale_pattern-advanced", 
            "exponential_pattern-advanced",
            "polynomial_pattern-advanced",
        }   
    }, {
	    name = 'efficiency-pollution-scaling',
		localised_name = {"", "[color=green]", "          Efficiency Module", ": [/color]", {"mod-setting-name.efficiency-pollution-scaling"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'b[basic-modules]b[efficiency]e[pollution]',
        default_value = "disabled_pattern",
        allowed_values = {
            "disabled_pattern",
            "linear_pattern-advanced", 
            "constant_pattern-advanced", 
            "fibonacci_pattern-advanced", 
            "changing_scale_pattern-advanced", 
            "exponential_pattern-advanced",
            "polynomial_pattern-advanced",
        }  
    },
    

    -- Productivity Modules
    { 
	    name = 'max-productivity',
		localised_name = {"", "[color=red]", "Productivity Module", ": [/color]", {"mod-setting-name.max-productivity"}},
        setting_type = 'startup',
        type = 'int-setting',
        order = 'b[basic-modules]c[productivity]a[max-level]',
        default_value = 3,
        minimum_value = 3,
        maximum_value = 255
    }, {
	    name = 'productivity-consumption-scaling',
		localised_name = {"", "[color=red]", "          Productivity Module", ": [/color]", {"mod-setting-name.productivity-consumption-scaling"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'b[basic-modules]c[productivity]b[consumption]',
        default_value = "constant_pattern",
        allowed_values = {
            "disabled_pattern",
            "linear_pattern", 
            "constant_pattern", 
            "fibonacci_pattern", 
            "exponential_pattern",
            "polynomial_pattern",
            "linear_pattern-advanced", 
            "constant_pattern-advanced", 
            "fibonacci_pattern-advanced", 
            "changing_scale_pattern-advanced", 
            "exponential_pattern-advanced",
            "polynomial_pattern-advanced",
        }    
    }, {
	    name = 'productivity-speed-scaling',
		localised_name = {"", "[color=red]", "          Productivity Module", ": [/color]", {"mod-setting-name.productivity-speed-scaling"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'b[basic-modules]c[productivity]c[speed]',
        default_value = "constant_pattern",
        allowed_values = {
            "disabled_pattern",
            "linear_pattern", 
            "constant_pattern", 
            "fibonacci_pattern", 
            "exponential_pattern",
            "polynomial_pattern",
            "linear_pattern-advanced", 
            "constant_pattern-advanced", 
            "fibonacci_pattern-advanced", 
            "changing_scale_pattern-advanced", 
            "exponential_pattern-advanced",
            "polynomial_pattern-advanced",
        }    
    }, {
	    name = 'productivity-productivity-scaling',
		localised_name = {"", "[color=red]", "          Productivity Module", ": [/color]", {"mod-setting-name.productivity-productivity-scaling"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'b[basic-modules]c[productivity]d[productivity]',
        default_value = "linear_pattern",
        allowed_values = {
            "disabled_pattern",
            "linear_pattern", 
            "constant_pattern", 
            "fibonacci_pattern", 
            "exponential_pattern",
            "polynomial_pattern",
            "linear_pattern-advanced", 
            "constant_pattern-advanced", 
            "fibonacci_pattern-advanced", 
            "changing_scale_pattern-advanced", 
            "exponential_pattern-advanced",
            "polynomial_pattern-advanced",
        }    
    }, {
	    name = 'productivity-pollution-scaling',
		localised_name = {"", "[color=red]", "          Productivity Module", ": [/color]", {"mod-setting-name.productivity-pollution-scaling"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'b[basic-modules]c[productivity]e[pollution]',
        default_value = "linear_pattern",
        allowed_values = {
            "disabled_pattern",
            "linear_pattern", 
            "constant_pattern", 
            "fibonacci_pattern", 
            "exponential_pattern",
            "polynomial_pattern",
            "linear_pattern-advanced", 
            "constant_pattern-advanced", 
            "fibonacci_pattern-advanced", 
            "changing_scale_pattern-advanced", 
            "exponential_pattern-advanced",
            "polynomial_pattern-advanced",
        }    
    },

    
    
    





    -------------------- ADVANCED SETTINGS --------------------
    { 
        name = "speed-consumption-override",
		localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Consumption Manual Override", {"mod-setting-name.speed-consumption-override"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'c[advanced]a[speed]a[consumption]a',
        default_value = "",
        allow_blank = true
    }, { 
        name = "speed-consumption-initial-value",
		localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Consumption initial value", {"mod-setting-name.speed-consumption-initial-value"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]a[speed]a[consumption]b',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "speed-consumption-scale",
		localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Consumption scale", {"mod-setting-name.speed-consumption-scale"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]a[speed]a[consumption]c',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "speed-consumption-offset",
		localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Consumption offset", {"mod-setting-name.speed-consumption-offset"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]a[speed]a[consumption]d',
        default_value = 0,
        minimum_value = -1024,
        maximum_value = 1024
    }, {
        name = "speed-consumption-extra",
		localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Consumption extra", {"mod-setting-name.speed-consumption-extra"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]a[speed]a[consumption]e',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "speed-speed-override",
        localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Speed Manual Override", {"mod-setting-name.speed-speed-override"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'c[advanced]a[speed]b[speed]a',
        default_value = "",
        allow_blank = true
    }, {
        name = "speed-speed-initial-value",
        localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Speed initial value", {"mod-setting-name.speed-speed-initial-value"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]a[speed]b[speed]b',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "speed-speed-scale",
        localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Speed scale", {"mod-setting-name.speed-speed-scale"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]a[speed]b[speed]c',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "speed-speed-offset",
        localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Speed offset", {"mod-setting-name.speed-speed-offset"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]a[speed]b[speed]d',
        default_value = 0,
        minimum_value = -1024,
        maximum_value = 1024
    }, {
        name = "speed-speed-extra",
        localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Speed extra", {"mod-setting-name.speed-speed-extra"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]a[speed]b[speed]e',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "speed-productivity-override",
        localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Productivity Manual Override", {"mod-setting-name.speed-productivity-override"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'c[advanced]a[speed]c[productivity]a',
        default_value = "",
        allow_blank = true
    }, {
        name = "speed-productivity-initial-value",
        localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Productivity initial value", {"mod-setting-name.speed-productivity-initial-value"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]a[speed]c[productivity]b',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "speed-productivity-scale",
        localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Productivity scale", {"mod-setting-name.speed-productivity-scale"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]a[speed]c[productivity]c',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "speed-productivity-offset",
        localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Productivity offset", {"mod-setting-name.speed-productivity-offset"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]a[speed]c[productivity]d',
        default_value = 0,
        minimum_value = -1024,
        maximum_value = 1024
    }, {
        name = "speed-productivity-extra",
        localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Productivity extra", {"mod-setting-name.speed-productivity-extra"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]a[speed]c[productivity]e',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "speed-pollution-override",
        localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Pollution Manual Override", {"mod-setting-name.speed-pollution-override"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'c[advanced]a[speed]d[pollution]a',
        default_value = "",
        allow_blank = true
    }, {
        name = "speed-pollution-initial-value",
        localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Pollution initial value", {"mod-setting-name.speed-pollution-initial-value"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]a[speed]d[pollution]b',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "speed-pollution-scale",
        localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Pollution scale", {"mod-setting-name.speed-pollution-scale"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]a[speed]d[pollution]c',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "speed-pollution-offset",
        localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Pollution offset", {"mod-setting-name.speed-pollution-offset"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]a[speed]d[pollution]d',
        default_value = 0,
        minimum_value = -1024,
        maximum_value = 1024
    }, {
        name = "speed-pollution-extra",
        localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Pollution extra", {"mod-setting-name.speed-pollution-extra"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]a[speed]d[pollution]e',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    },
    





    {
        name = "efficiency-consumption-override",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Consumption Manual Override", {"mod-setting-name.efficiency-consumption-override"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'c[advanced]b[efficiency]a[consumption]a',
        default_value = "",
        allow_blank = true
    }, {
        name = "efficiency-consumption-initial-value",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Consumption intitial value", {"mod-setting-name.efficiency-consumption-initial-value"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]b[efficiency]a[consumption]b',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "efficiency-consumption-scale",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Consumption scale", {"mod-setting-name.efficiency-consumption-scale"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]b[efficiency]a[consumption]c',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "efficiency-consumption-offset",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Consumption offset", {"mod-setting-name.efficiency-consumption-offset"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]b[efficiency]a[consumption]d',
        default_value = 0,
        minimum_value = -1024,
        maximum_value = 1024
    }, {
        name = "efficiency-consumption-extra",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Consumption extra", {"mod-setting-name.efficiency-consumption-extra"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]b[efficiency]a[consumption]e',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "efficiency-speed-override",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Speed Manual Override", {"mod-setting-name.efficiency-speed-override"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'c[advanced]b[efficiency]b[speed]a',
        default_value = "",
        allow_blank = true
    }, {
        name = "efficiency-speed-initial-value",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Speed initial value", {"mod-setting-name.efficiency-speed-initial-value"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]b[efficiency]b[speed]b',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "efficiency-speed-scale",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Speed scale", {"mod-setting-name.efficiency-speed-scale"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]b[efficiency]b[speed]c',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "efficiency-speed-offset",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Speed offset", {"mod-setting-name.efficiency-speed-offset"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]b[efficiency]b[speed]d',
        default_value = 0,
        minimum_value = -1024,
        maximum_value = 1024
    }, {
        name = "efficiency-speed-extra",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Speed extra", {"mod-setting-name.efficiency-speed-extra"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]b[efficiency]b[speed]e',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "efficiency-productivity-override",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Productivity Manual Override", {"mod-setting-name.efficiency-productivity-override"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'c[advanced]b[efficiency]c[productivity]a',
        default_value = "",
        allow_blank = true
    }, {
        name = "efficiency-productivity-initial-value",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Productivity initial value", {"mod-setting-name.efficiency-productivity-initial-value"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]b[efficiency]c[productivity]b',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "efficiency-productivity-scale",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Productivity scale", {"mod-setting-name.efficiency-productivity-scale"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]b[efficiency]c[productivity]c',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "efficiency-productivity-offset",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Productivity offset", {"mod-setting-name.efficiency-productivity-offset"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]b[efficiency]c[productivity]d',
        default_value = 0,
        minimum_value = -1024,
        maximum_value = 1024
    }, {
        name = "efficiency-productivity-extra",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Productivity extra", {"mod-setting-name.efficiency-productivity-extra"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]b[efficiency]c[productivity]e',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "efficiency-pollution-override",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Pollution Manual Override", {"mod-setting-name.efficiency-pollution-override"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'c[advanced]b[efficiency]d[pollution]a',
        default_value = "",
        allow_blank = true
    }, {
        name = "efficiency-pollution-initial-value",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Pollution initial value", {"mod-setting-name.efficiency-pollution-initial-value"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]b[efficiency]d[pollution]b',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "efficiency-pollution-scale",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Pollution scale", {"mod-setting-name.efficiency-pollution-scale"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]b[efficiency]d[pollution]c',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "efficiency-pollution-offset",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Pollution offset", {"mod-setting-name.efficiency-pollution-offset"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]b[efficiency]d[pollution]d',
        default_value = 0,
        minimum_value = -1024,
        maximum_value = 1024
    }, {
        name = "efficiency-pollution-extra",
        localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Pollution extra", {"mod-setting-name.efficiency-pollution-extra"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]b[efficiency]d[pollution]e',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    },
    




    {
        name = "productivity-consumption-override",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Consumption Manual Override", {"mod-setting-name.productivity-consumption-override"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'c[advanced]c[productivity]a[consumption]a',
        default_value = "",
        allow_blank = true
    }, {
        name = "productivity-consumption-initial-value",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Consumption intitial value", {"mod-setting-name.productivity-consumption-initial-value"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]c[productivity]a[consumption]b',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "productivity-consumption-scale",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Consumption scale", {"mod-setting-name.productivity-consumption-scale"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]c[productivity]a[consumption]c',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "productivity-consumption-offset",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Consumption offset", {"mod-setting-name.productivity-consumption-offset"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]c[productivity]a[consumption]d',
        default_value = 0,
        minimum_value = -1024,
        maximum_value = 1024
    }, {
        name = "productivity-consumption-extra",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Consumption extra", {"mod-setting-name.productivity-consumption-extra"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]c[productivity]a[consumption]e',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "productivity-speed-override",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Speed Manual Override", {"mod-setting-name.productivity-speed-override"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'c[advanced]c[productivity]b[speed]a',
        default_value = "",
        allow_blank = true
    }, {
        name = "productivity-speed-initial-value",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Speed intitial value", {"mod-setting-name.productivity-speed-initial-value"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]c[productivity]b[speed]b',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "productivity-speed-scale",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Speed scale", {"mod-setting-name.productivity-speed-scale"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]c[productivity]b[speed]c',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "productivity-speed-offset",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Speed offset", {"mod-setting-name.productivity-speed-offset"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]c[productivity]b[speed]d',
        default_value = 0,
        minimum_value = -1024,
        maximum_value = 1024
    }, {
        name = "productivity-speed-extra",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Speed extra", {"mod-setting-name.productivity-speed-extra"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]c[productivity]b[speed]e',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "productivity-productivity-override",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Productivity Manual Override", {"mod-setting-name.productivity-productivity-override"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'c[advanced]c[productivity]c[productivity]a',
        default_value = "",
        allow_blank = true
    }, {
        name = "productivity-productivity-initial-value",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Productivity intitial value", {"mod-setting-name.productivity-productivity-initial-value"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]c[productivity]c[productivity]b',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "productivity-productivity-scale",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Productivity scale", {"mod-setting-name.productivity-productivity-scale"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]c[productivity]c[productivity]c',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "productivity-productivity-offset",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Productivity offset", {"mod-setting-name.productivity-productivity-offset"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]c[productivity]c[productivity]d',
        default_value = 0,
        minimum_value = -1024,
        maximum_value = 1024
    }, {
        name = "productivity-productivity-extra",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Productivity extra", {"mod-setting-name.productivity-productivity-extra"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]c[productivity]c[productivity]e',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "productivity-pollution-override",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Pollution Manual Override", {"mod-setting-name.productivity-pollution-override"}},
        setting_type = 'startup',
        type = 'string-setting',
        order = 'c[advanced]c[productivity]d[pollution]a',
        default_value = "",
        allow_blank = true
    }, {
        name = "productivity-pollution-initial-value",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Pollution intitial value", {"mod-setting-name.productivity-pollution-initial-value"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]c[productivity]d[pollution]b',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "productivity-pollution-scale",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Pollution scale", {"mod-setting-name.productivity-pollution-scale"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]c[productivity]d[pollution]c',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }, {
        name = "productivity-pollution-offset",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Pollution offset", {"mod-setting-name.productivity-pollution-offset"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]c[productivity]d[pollution]d',
        default_value = 0,
        minimum_value = -1024,
        maximum_value = 1024
    }, {
        name = "productivity-pollution-extra",
        localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Pollution extra", {"mod-setting-name.productivity-pollution-extra"}},
        setting_type = 'startup',
        type = 'double-setting',
        order = 'c[advanced]c[productivity]d[pollution]e',
        default_value = 0,
        minimum_value = -327,
        maximum_value = 327
    }
}






















-- Quality Modules
if mods["quality"] then
    data:extend{
        {
            name = 'quality-anywhere',
            setting_type = 'startup',
            type = 'bool-setting',
            order = 'a[basic]e[beacon]b[allowed-effects]d',
            default_value = false
        }, {
            name = 'vanilla-beacon-distribution-effectivity-bonus-per-quality-level',
            setting_type = 'startup',
            type = 'double-setting',
            order = 'a[basic]e[beacon]a[details]b',
            default_value = 0.2,
            minimum_value = 0,
            maximum_value = 65535
        }, {
            name = 'speed-quality-scaling',
            localised_name = {"", "[color=blue]", "          Speed Module", ": [/color]", {"mod-setting-name.speed-quality-scaling"}},
            setting_type = 'startup',
            type = 'string-setting',
            order = 'b[basic-modules]a[speed]f[quality]',
            default_value = "linear_pattern",
            allowed_values = {
                "disabled_pattern",
                "linear_pattern", 
                "constant_pattern", 
                "fibonacci_pattern", 
                "exponential_pattern",
                "polynomial_pattern",
                "linear_pattern-advanced", 
                "constant_pattern-advanced", 
                "fibonacci_pattern-advanced", 
                "changing_scale_pattern-advanced", 
                "exponential_pattern-advanced",
                "polynomial_pattern-advanced",
            }
        },
        
        {
            name = 'efficiency-quality-scaling',
            localised_name = {"", "[color=green]", "          Efficiency Module", ": [/color]", {"mod-setting-name.efficiency-quality-scaling"}},
            setting_type = 'startup',
            type = 'string-setting',
            order = 'b[basic-modules]b[efficiency]f[quality]',
            default_value = "disabled_pattern",
            allowed_values = {
                "disabled_pattern",
                "linear_pattern-advanced", 
                "constant_pattern-advanced", 
                "fibonacci_pattern-advanced", 
                "changing_scale_pattern-advanced", 
                "exponential_pattern-advanced",
                "polynomial_pattern-advanced",
            }  
        },

        {
            name = 'productivity-quality-scaling',
            localised_name = {"", "[color=red]", "          Productivity Module", ": [/color]", {"mod-setting-name.productivity-quality-scaling"}},
            setting_type = 'startup',
            type = 'string-setting',
            order = 'b[basic-modules]c[productivity]f[quality]',
            default_value = "disabled_pattern",
            allowed_values = {
                "disabled_pattern",
                "linear_pattern-advanced", 
                "constant_pattern-advanced", 
                "fibonacci_pattern-advanced", 
                "changing_scale_pattern-advanced", 
                "exponential_pattern-advanced",
                "polynomial_pattern-advanced",
            } 
        },


        
        { 
            name = 'max-quality',
            localised_name = {"", "[color=white]", "Quality Module", ": [/color]", {"mod-setting-name.max-quality"}},
            setting_type = 'startup',
            type = 'int-setting',
            order = 'b[basic-modules]d[quality]a[max-level]',
            default_value = 3,
            minimum_value = 3,
            maximum_value = 255
        }, {
            name = 'quality-consumption-scaling',
            localised_name = {"", "[color=white]", "          Quality Module", ": [/color]", {"mod-setting-name.quality-consumption-scaling"}},
            setting_type = 'startup',
            type = 'string-setting',
            order = 'b[basic-modules]d[quality]b[consumption]',
            default_value = "disabled_pattern",
            allowed_values = {
                "disabled_pattern",
                "linear_pattern-advanced", 
                "constant_pattern-advanced", 
                "fibonacci_pattern-advanced", 
                "changing_scale_pattern-advanced", 
                "exponential_pattern-advanced",
                "polynomial_pattern-advanced",
            }  
        }, {
            name = 'quality-speed-scaling',
            localised_name = {"", "[color=white]", "          Quality Module", ": [/color]", {"mod-setting-name.quality-speed-scaling"}},
            setting_type = 'startup',
            type = 'string-setting',
            order = 'b[basic-modules]d[quality]c[speed]',
            default_value = "constant_pattern",
            allowed_values = {
                "disabled_pattern",
                "linear_pattern", 
                "constant_pattern", 
                "fibonacci_pattern", 
                "exponential_pattern",
                "polynomial_pattern",
                "linear_pattern-advanced", 
                "constant_pattern-advanced", 
                "fibonacci_pattern-advanced", 
                "changing_scale_pattern-advanced", 
                "exponential_pattern-advanced",
                "polynomial_pattern-advanced",
            }    
        }, {
            name = 'quality-productivity-scaling',
            localised_name = {"", "[color=white]", "          Quality Module", ": [/color]", {"mod-setting-name.quality-productivity-scaling"}},
            setting_type = 'startup',
            type = 'string-setting',
            order = 'b[basic-modules]d[quality]d[productivity]',
            default_value = "disabled_pattern",
            allowed_values = {
                "disabled_pattern",
                "linear_pattern-advanced", 
                "constant_pattern-advanced", 
                "fibonacci_pattern-advanced", 
                "changing_scale_pattern-advanced", 
                "exponential_pattern-advanced",
                "polynomial_pattern-advanced",
            }  
        }, {
            name = 'quality-pollution-scaling',
            localised_name = {"", "[color=white]", "          Quality Module", ": [/color]", {"mod-setting-name.quality-pollution-scaling"}},
            setting_type = 'startup',
            type = 'string-setting',
            order = 'b[basic-modules]d[quality]e[pollution]',
            default_value = "disabled_pattern",
            allowed_values = {
                "disabled_pattern",
                "linear_pattern-advanced", 
                "constant_pattern-advanced", 
                "fibonacci_pattern-advanced", 
                "changing_scale_pattern-advanced", 
                "exponential_pattern-advanced",
                "polynomial_pattern-advanced",
            }    
        }, {
            name = 'quality-quality-scaling',
            localised_name = {"", "[color=white]", "          Quality Module", ": [/color]", {"mod-setting-name.quality-quality-scaling"}},
            setting_type = 'startup',
            type = 'string-setting',
            order = 'b[basic-modules]d[quality]f[quality]',
            default_value = "constant_pattern",
            allowed_values = {
                "disabled_pattern",
                "linear_pattern", 
                "constant_pattern", 
                "fibonacci_pattern", 
                "exponential_pattern",
                "polynomial_pattern",
                "linear_pattern-advanced", 
                "constant_pattern-advanced", 
                "fibonacci_pattern-advanced", 
                "changing_scale_pattern-advanced", 
                "exponential_pattern-advanced",
                "polynomial_pattern-advanced",
            }    
        },







    -- Advanced Settings Below
        {
            name = "speed-quality-override",
            localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Quality Manual Override", {"mod-setting-name.speed-quality-override"}},
            setting_type = 'startup',
            type = 'string-setting',
            order = 'c[advanced]a[speed]e[quality]a',
            default_value = "",
            allow_blank = true
        }, {
            name = "speed-quality-initial-value",
            localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Quality initial value", {"mod-setting-name.speed-quality-initial-value"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]a[speed]e[quality]b',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "speed-quality-scale",
            localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Quality scale", {"mod-setting-name.speed-quality-scale"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]a[speed]e[quality]c',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "speed-quality-offset",
            localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Quality offset", {"mod-setting-name.speed-quality-offset"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]a[speed]e[quality]d',
            default_value = 0,
            minimum_value = -1024,
            maximum_value = 1024
        }, {
            name = "speed-quality-extra",
            localised_name = {"", "[color=blue]", "Speed Module", ":[/color] Quality extra", {"mod-setting-name.speed-quality-extra"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]a[speed]e[quality]e',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        },

        {
            name = "efficiency-quality-override",
            localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Quality Manual Override", {"mod-setting-name.efficiency-quality-override"}},
            setting_type = 'startup',
            type = 'string-setting',
            order = 'c[advanced]b[efficiency]e[quality]a',
            default_value = "",
            allow_blank = true
        }, {
            name = "efficiency-quality-initial-value",
            localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Quality initial value", {"mod-setting-name.efficiency-quality-initial-value"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]b[efficiency]e[quality]b',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "efficiency-quality-scale",
            localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Quality scale", {"mod-setting-name.efficiency-quality-scale"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]b[efficiency]e[quality]c',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "efficiency-quality-offset",
            localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Quality offset", {"mod-setting-name.efficiency-quality-offset"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]b[efficiency]e[quality]d',
            default_value = 0,
            minimum_value = -1024,
            maximum_value = 1024
        }, {
            name = "efficiency-quality-extra",
            localised_name = {"", "[color=green]", "Efficiency Module", ":[/color] Quality extra", {"mod-setting-name.efficiency-quality-extra"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]b[efficiency]e[quality]e',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        },

        {
            name = "productivity-quality-override",
            localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Quality Manual Override", {"mod-setting-name.productivity-quality-override"}},
            setting_type = 'startup',
            type = 'string-setting',
            order = 'c[advanced]c[productivity]e[quality]a',
            default_value = "",
            allow_blank = true
        }, {
            name = "productivity-quality-initial-value",
            localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Quality intitial value", {"mod-setting-name.productivity-quality-initial-value"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]c[productivity]e[quality]b',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "productivity-quality-scale",
            localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Quality scale", {"mod-setting-name.productivity-quality-scale"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]c[productivity]e[quality]c',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "productivity-quality-offset",
            localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Quality offset", {"mod-setting-name.productivity-quality-offset"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]c[productivity]e[quality]d',
            default_value = 0,
            minimum_value = -1024,
            maximum_value = 1024
        }, {
            name = "productivity-quality-extra",
            localised_name = {"", "[color=red]", "Productivity Module", ":[/color] Quality extra", {"mod-setting-name.productivity-quality-extra"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]c[productivity]e[quality]e',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, 
        
        {
            name = "quality-consumption-override",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Consumption Manual Override", {"mod-setting-name.quality-consumption-override"}},
            setting_type = 'startup',
            type = 'string-setting',
            order = 'c[advanced]d[quality]a[consumption]a',
            default_value = "",
            allow_blank = true
        }, {
            name = "quality-consumption-initial-value",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Consumption intitial value", {"mod-setting-name.quality-consumption-initial-value"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]a[consumption]b',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "quality-consumption-scale",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Consumption scale", {"mod-setting-name.quality-consumption-scale"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]a[consumption]c',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "quality-consumption-offset",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Consumption offset", {"mod-setting-name.quality-consumption-offset"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]a[consumption]d',
            default_value = 0,
            minimum_value = -1024,
            maximum_value = 1024
        }, {
            name = "quality-consumption-extra",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Consumption extra", {"mod-setting-name.quality-consumption-extra"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]a[consumption]e',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "quality-speed-override",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Speed Manual Override", {"mod-setting-name.quality-speed-override"}},
            setting_type = 'startup',
            type = 'string-setting',
            order = 'c[advanced]d[quality]b[speed]a',
            default_value = "",
            allow_blank = true
        }, {
            name = "quality-speed-initial-value",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Speed intitial value", {"mod-setting-name.quality-speed-initial-value"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]b[speed]b',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "quality-speed-scale",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Speed scale", {"mod-setting-name.quality-speed-scale"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]b[speed]c',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "quality-speed-offset",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Speed offset", {"mod-setting-name.quality-speed-offset"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]b[speed]d',
            default_value = 0,
            minimum_value = -1024,
            maximum_value = 1024
        }, {
            name = "quality-speed-extra",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Speed extra", {"mod-setting-name.quality-speed-extra"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]b[speed]e',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "quality-productivity-override",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Productivity Manual Override", {"mod-setting-name.quality-productivity-override"}},
            setting_type = 'startup',
            type = 'string-setting',
            order = 'c[advanced]d[quality]c[productivity]a',
            default_value = "",
            allow_blank = true
        }, {
            name = "quality-productivity-initial-value",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Productivity intitial value", {"mod-setting-name.quality-productivity-initial-value"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]c[productivity]b',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "quality-productivity-scale",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Productivity scale", {"mod-setting-name.quality-productivity-scale"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]c[productivity]c',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "quality-productivity-offset",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Productivity offset", {"mod-setting-name.quality-productivity-offset"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]c[productivity]d',
            default_value = 0,
            minimum_value = -1024,
            maximum_value = 1024
        }, {
            name = "quality-productivity-extra",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Productivity extra", {"mod-setting-name.quality-productivity-extra"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]c[productivity]e',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "quality-pollution-override",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Pollution Manual Override", {"mod-setting-name.quality-pollution-override"}},
            setting_type = 'startup',
            type = 'string-setting',
            order = 'c[advanced]d[quality]d[pollution]a',
            default_value = "",
            allow_blank = true
        }, {
            name = "quality-pollution-initial-value",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Pollution intitial value", {"mod-setting-name.quality-pollution-initial-value"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]d[pollution]b',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "quality-pollution-scale",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Pollution scale", {"mod-setting-name.quality-pollution-scale"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]d[pollution]c',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "quality-pollution-offset",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Pollution offset", {"mod-setting-name.quality-pollution-offset"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]d[pollution]d',
            default_value = 0,
            minimum_value = -1024,
            maximum_value = 1024
        }, {
            name = "quality-pollution-extra",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Pollution extra", {"mod-setting-name.quality-pollution-extra"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]d[pollution]e',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "quality-quality-override",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Quality Manual Override", {"mod-setting-name.quality-quality-override"}},
            setting_type = 'startup',
            type = 'string-setting',
            order = 'c[advanced]d[quality]e[quality]a',
            default_value = "",
            allow_blank = true
        }, {
            name = "quality-quality-initial-value",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Quality intitial value", {"mod-setting-name.quality-quality-initial-value"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]e[quality]b',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "quality-quality-scale",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Quality scale", {"mod-setting-name.quality-quality-scale"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]e[quality]c',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }, {
            name = "quality-quality-offset",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Quality offset", {"mod-setting-name.quality-quality-offset"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]e[quality]d',
            default_value = 0,
            minimum_value = -1024,
            maximum_value = 1024
        }, {
            name = "quality-quality-extra",
            localised_name = {"", "[color=white]", "Quality Module", ":[/color] Quality extra", {"mod-setting-name.quality-quality-extra"}},
            setting_type = 'startup',
            type = 'double-setting',
            order = 'c[advanced]d[quality]e[quality]e',
            default_value = 0,
            minimum_value = -327,
            maximum_value = 327
        }
    }
end
